/**
* Copyright (c) 2020 The Nuinalp Authors. All rights reserved.
* Use of this source code is governed by a BSD-style license that can be
* found in the LICENSE file.
*/

@import '../../style/utils/spacing';
@import '../../style/utils/animations';

nv-list-item {
  --alt-theme-2: var(--nv-theme-alt-1);
}

:host {
  background-color: var(--nv-theme-alt-2);
  border-bottom-color: var(--nv-border-color);
  border-bottom-style: solid;
  border-bottom-width: 2px;
  border-radius: 8px;
  display: inline-flex;
  justify-content: space-between;
  min-height: 52px;
  padding: $space-sm $space-default;
  position: relative;
  transition-property: boder-color, transform, opacity;

  //
  // Before
  //

  &::before,
  &::after {
    @extend .transition-moviment;
    background-color: var(--nv-theme-primary);
    border-radius: 8px;
    content: '';
    height: 100%;
    left: 0;
    opacity: 0;
    pointer-events: none;
    position: absolute;
    top: 0;
    width: 100%;
    z-index: 1;
  }
}

:host(:hover)::before {
  @extend .transition-entrance;
  opacity: 0.04;
}

:host(.nv-people-w-focus)::after {
  @extend .transition-entrance;
  opacity: 0.1;
}

.base-picker {
  align-items: center;
  box-sizing: border-box;
  display: flex;
  flex-wrap: wrap;
  position: relative;

  &.has-label {
    padding-top: $space-default;
  }
}

.people-tokens {
  display: flex;
  flex-wrap: wrap;
}

input {
  background-color: transparent;
  border: 0;
  box-sizing: border-box;
  display: block;
  flex-basis: 0;
  flex-grow: 1;
  flex-shrink: 1;
  min-width: 100px;
  width: 100%;
}

.persona-picker {
  display: block;
  flex: none;
  margin-right: calc(#{$space-sm} / 2);

  &.is-last {
    margin-right: 0;
  }

  > div {
    align-items: center;
    background-color: var(--nv-theme-alt-1);
    border: 2px solid var(--nv-theme-alt-1);
    border-radius: 20px;
    display: inline-flex;
    flex: none;
  }
}

//
// Persona
//

.btn-remove-persona {
  border-radius: 50%;
  cursor: pointer;

  &:hover {
    background-color: var(--nv-theme-alt-2);
  }

  nv-icon {
    --font-size: 20px;
  }
}

//
// Loader
//

.loader-people-picker {
  align-items: center;
  display: flex;
  justify-content: center;
  margin-left: 8px;
  max-height: 66px;
  width: 20px;
  
  .nv-loader {
    display: none;
    margin: 0;
  }

  &.show .nv-loader {
    display: block;
  }
}

//
// Label
//

.label {
  @extend .transition-moviment;
  align-items: center;
  color: var(--nv-type-secondary);
  display: flex;
  font-family: 'FiraGO Italic';
  left: 0;
  overflow: hidden;
  padding: 0 #{$space-default};
  pointer-events: none;
  position: absolute;
  text-overflow: ellipsis;
  top: 16px;
  white-space: nowrap;
  width: 100%;
  z-index: 2;
}

.label-active {
  font-size: 12px;
  height: inherit;
  left: 0 !important;
  padding: calc(#{$space-sm} - 4px) #{$space-default};
  pointer-events: none;
  position: absolute;
  top: 0;
}

.nv-people-picker-not-found {
  align-items: center;
  display: flex;
  height: 52px;
  width: 100%;
}

.loader-people-picker,
.base-picker,
.label {
  z-index: 4;
}
